<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE beans PUBLIC "-//SPRING//DTD BEAN//EN"
	"http://www.springframework.org/dtd/spring-beans.dtd">

<!-- This file generated by Sakai App Builder -AZ -->
<beans>

	<!--  EXPERIMENT DAO  -->
	
	<bean id="org.sakaiproject.wontovlab.dao.ExperimentDaoHibernateTarget"
		class="org.sakaiproject.wontovlab.dao.impl.ExperimentDaoImpl"
		singleton="true">
		<property name="sessionFactory">
			<ref bean="org.sakaiproject.wontovlab.dao.SessionFactory" />
		</property>
	</bean>
	
	
	<!-- create a transaction interceptor which sits between the dao and the
	transaction manager that we created in the previous block, this
	helps us with transaction control -->
	<bean id="org.sakaiproject.wontovlab.dao.ExperimentDao"
		class="org.springframework.transaction.interceptor.TransactionProxyFactoryBean">
		<property name="transactionManager">
			<ref bean="org.sakaiproject.wontovlab.dao.HibernateTransactionManager" />
		</property>
		<property name="target">
			<ref bean="org.sakaiproject.wontovlab.dao.ExperimentDaoHibernateTarget" />
		</property>
		<property name="transactionAttributes">
			<props>
				<prop key="*">PROPAGATION_REQUIRED</prop>
			</props>
		</property>
	</bean>
	
	
	
	<!--  MATERIAL DAO  -->
	
	<bean id="org.sakaiproject.wontovlab.dao.MaterialDaoHibernateTarget"
		class="org.sakaiproject.wontovlab.dao.impl.MaterialDaoImpl"
		singleton="true">
		<property name="sessionFactory">
			<ref bean="org.sakaiproject.wontovlab.dao.SessionFactory" />
		</property>
	</bean>
	
	
	<!-- create a transaction interceptor which sits between the dao and the
	transaction manager that we created in the previous block, this
	helps us with transaction control -->
	<bean id="org.sakaiproject.wontovlab.dao.MaterialDao"
		class="org.springframework.transaction.interceptor.TransactionProxyFactoryBean">
		<property name="transactionManager">
			<ref bean="org.sakaiproject.wontovlab.dao.HibernateTransactionManager" />
		</property>
		<property name="target">
			<ref bean="org.sakaiproject.wontovlab.dao.MaterialDaoHibernateTarget" />
		</property>
		<property name="transactionAttributes">
			<props>
				<prop key="*">PROPAGATION_REQUIRED</prop>
			</props>
		</property>
	</bean>	
	
		<!--  STEP DAO  
	
	<bean id="org.sakaiproject.wontovlab.dao.StepDaoHibernateTarget"
		class="org.sakaiproject.wontovlab.dao.impl.StepDaoImpl"
		singleton="true">
		<property name="sessionFactory">
			<ref bean="org.sakaiproject.wontovlab.dao.SessionFactory" />
		</property>
	</bean>
	
	<bean id="org.sakaiproject.wontovlab.dao.StepDao"
		class="org.springframework.transaction.interceptor.TransactionProxyFactoryBean">
		<property name="transactionManager">
			<ref bean="org.sakaiproject.wontovlab.dao.HibernateTransactionManager" />
		</property>
		<property name="target">
			<ref bean="org.sakaiproject.wontovlab.dao.StepDaoHibernateTarget" />
		</property>
		<property name="transactionAttributes">
			<props>
				<prop key="*">PROPAGATION_REQUIRED</prop>
			</props>
		</property>
	</bean>	-->


	<!--  ACCESS CONTROL DAO  -->
	
	<bean id="org.sakaiproject.wontovlab.dao.AccessControlDaoHibernateTarget"
		class="org.sakaiproject.wontovlab.dao.impl.AccessControlDaoImpl"
		singleton="true">
		<property name="sessionFactory">
			<ref bean="org.sakaiproject.wontovlab.dao.SessionFactory" />
		</property>
	</bean>
	
	
	<!-- create a transaction interceptor which sits between the dao and the
	transaction manager that we created in the previous block, this
	helps us with transaction control -->
	<bean id="org.sakaiproject.wontovlab.dao.AccessControlDao"
		class="org.springframework.transaction.interceptor.TransactionProxyFactoryBean">
		<property name="transactionManager">
			<ref bean="org.sakaiproject.wontovlab.dao.HibernateTransactionManager" />
		</property>
		<property name="target">
			<ref bean="org.sakaiproject.wontovlab.dao.AccessControlDaoHibernateTarget" />
		</property>
		<property name="transactionAttributes">
			<props>
				<prop key="*">PROPAGATION_REQUIRED</prop>
			</props>
		</property>
	</bean>
	
	
	
	<!--  EXECUTED EXPERIMENT DAO 
	
	<bean id="org.sakaiproject.wontovlab.dao.ExecutedExpDaoHibernateTarget"
		class="org.sakaiproject.wontovlab.dao.impl.ExecutedExpDaoImpl"
		singleton="true">
		<property name="sessionFactory">
			<ref bean="org.sakaiproject.wontovlab.dao.SessionFactory" />
		</property>
	</bean>
	
	
	<bean id="org.sakaiproject.wontovlab.dao.ExecutedExpDao"
		class="org.springframework.transaction.interceptor.TransactionProxyFactoryBean">
		<property name="transactionManager">
			<ref bean="org.sakaiproject.wontovlab.dao.HibernateTransactionManager" />
		</property>
		<property name="target">
			<ref bean="org.sakaiproject.wontovlab.dao.ExecutedExpDaoHibernateTarget" />
		</property>
		<property name="transactionAttributes">
			<props>
				<prop key="*">PROPAGATION_REQUIRED</prop>
			</props>
		</property>
	</bean>	 -->
	
	<!--  EXECUTED EXPERIMENT LOG DAO  
	
	<bean id="org.sakaiproject.wontovlab.dao.ExecutedExpLogDaoHibernateTarget"
		class="org.sakaiproject.wontovlab.dao.impl.ExecutedExpLogDaoImpl"
		singleton="true">
		<property name="sessionFactory">
			<ref bean="org.sakaiproject.wontovlab.dao.SessionFactory" />
		</property>
	</bean>
	
	
	<bean id="org.sakaiproject.wontovlab.dao.ExecutedExpLogDao"
		class="org.springframework.transaction.interceptor.TransactionProxyFactoryBean">
		<property name="transactionManager">
			<ref bean="org.sakaiproject.wontovlab.dao.HibernateTransactionManager" />
		</property>
		<property name="target">
			<ref bean="org.sakaiproject.wontovlab.dao.ExecutedExpLogDaoHibernateTarget" />
		</property>
		<property name="transactionAttributes">
			<props>
				<prop key="*">PROPAGATION_REQUIRED</prop>
			</props>
		</property>
	</bean>	-->	
	
	
	
	
	
	
</beans>
